use 教学成绩管理数据库       --一段一段选中执行
go 

--1.删除表
drop table 学生信息表
go

--2.创建表
create table 学生信息表
( 学号 char(6)  primary key ,
  姓名 nchar(4) not null ,
  性别 nchar(1) check (性别 in ('男','女')) ,	         --定义CHECK约束
  宿舍电话 varchar(8) constraint ck_宿舍电话 
      check(宿舍电话 like '6[0-9][0-9][0-9][0-9][0-9]')
  --设置约束名为【ck_宿舍电话】、【宿舍电话】列只能由6开头后跟5位0-9之间的数字，共6位
)
go

--3.验证, 一条一条执行
insert 学生信息表 values('000001', '高八斗', '男', '653344')
insert 学生信息表 values('000002', '凌云霄', '雄', '653344')
insert 学生信息表 values('000003', '汪清水', '女', '533777')
select * from 学生信息表


